import {request} from '../../utils/request.js'

//照明控制
export const light = () => request({
	url:'/longchi/device/lamppolegroup/filtration-list',
	method:'GET'
})

export const blade = () => request({
	url:'/blade-system/dict/dictionary?code=runstate_type',
	method:'GET'
})

//获取分组信息列表
export const grouplist = () => request({
	url:'/longchi/device/lamppolegroup/filtration-list',
	method:'GET'
})

//获取设备信息列表
export const list = (groupId,current,size) => request({
	url:'/longchi/strategy/lightrelation/list?searchValue&groupId=' + groupId + '&current=' + current + '&size=' + size,
	method:'GET'
})

//开启关闭控制
export const Control = (handSwitch,handType,publicId,handTime,luminance,explain,publicName) => request({
	url:'/longchi/strategy/lightrelation/changeHandSwitch?handSwitch=' + handSwitch + '&handType=' + handType +
	'&publicId=' + publicId + '&handTime=' + handTime + '&luminance=' + luminance + '&explain=' + explain + '&publicName=' + publicName,
	method:'POST'
})

//照明能耗和亮灯率
export const Consume = (queryType,startDate,endDate) => request({
	url:'/longchi/report/workbench/light-pandect?queryType='+ queryType +'&startDate=' + startDate + '&endDate=' + endDate,
	method:'GET'
})

//关联策略选项
export const tactics = () => request({
	url:'/longchi/strategy/lightrelation/relationList',
	method:'POST'
})

//更改策略选项
//publicId,灯杆id
//lightId,策略id
//relationType,1:灯杆分组、2:灯杆
//publicName:灯杆分组名称
//lightName:策略名称(修改之前)
export const changeTactics = (publicId,lightId,relationType,publicName,lightName) =>request({
	url:'/longchi/strategy/lightrelation/relation?publicId=' + publicId + '&lightId=' + lightId + 
	'&relationType=' + relationType + '&publicName=' + publicName + '&lightName=' + lightName,
	method:'POST'
})
///longchi/strategy/lightrelation/relation




